%define upstream_name    CGI-Session
%define upstream_version 4.48

%global __requires_exclude perl\\(DBD::Pg\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Persistent session data in CGI applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.260.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description 
CGI-Session is a Perl5 library that provides an easy, reliable and
modular session management system across HTTP requests. Persistency is a
key feature for such applications as shopping carts,
login/authentication routines, and application that need to carry data
accross HTTP requests. CGI::Session does that and many more 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

rm -f  t/g4_mysql.t # no database available for testing
%{__make} test

%install
%makeinstall_std
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod

%files
%doc Changes INSTALL META.json META.yml README examples
%{perl_vendorlib}/CGI
%{_mandir}/*/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 4.480.0-8pclos2017
- rebuild against updates

